<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.Priority Field
DatabaseConfig Class See Also

The cache priority for pages referenced by the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public CachePriority Priority

Visual Basic (Declaration)

    Public Priority As CachePriority

Visual C++

    public:
    CachePriority^ Priority

# Remarks

The priority of a page biases the replacement algorithm to be more or less likely to discard a page when space is needed in the buffer pool. The bias is temporary, and pages will eventually be discarded if they are not referenced again. This priority is only advisory, and does not guarantee pages will be treated in a specific way.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace